Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724256 - dev-util/cgdb calls ar directly
Summary: dev-util/cgdb calls ar directly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jakov Smolic
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: tc-directly
  Show dependency tree
 
Reported: 2020-05-20 07:56 UTC by Agostino Sarubbo
Modified: 2020-09-16 01:52 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,21.45 KB, text/plain)
2020-05-20 07:56 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-20 07:56:21 UTC
This is an auto-filed bug because dev-util/cgdb calls ar directly.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
If you think it doesn't make sense fix these type of issues, I'd like to point out that won't be possible use a different AR implementation (like llvm-ar) by setting the AR variable. So this issue has been reproduced by setting the AR variable to x86_64-pc-linux-gnu-ar and by removing the /usr/bin/ar binary.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-20 07:56:29 UTC
Created attachment 640458 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-09-16 01:52:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aba688c9974e4ab03b6c3eb23ca69eb5cf15c587

commit aba688c9974e4ab03b6c3eb23ca69eb5cf15c587
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2020-09-06 09:45:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-16 01:42:40 +0000

    dev-util/cgdb: respect AR, use eautoreconf for building
    
    Eautoreconf ensures safe handling of the build scripts, so let's use
    that while setting AT_M4DIR to search for m4 files in the appropriate
    directory.
    
    Closes: https://bugs.gentoo.org/724256
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Closes: https://github.com/gentoo/gentoo/pull/17435
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-util/cgdb/cgdb-0.6.8.ebuild                 | 11 +++++++--
 dev-util/cgdb/cgdb-0.7.0-r2.ebuild              |  8 +++++--
 dev-util/cgdb/cgdb-0.7.1.ebuild                 |  8 +++++--
 dev-util/cgdb/cgdb-9999.ebuild                  | 11 +++++++--
 dev-util/cgdb/files/cgdb-0.7.1-respect-AR.patch | 32 +++++++++++++++++++++++++
 5 files changed, 62 insertions(+), 8 deletions(-)